CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::sessions::session_storage Class Referenceabstract

session_server_storage is an abstract class that allows user to implements custom session storage device like, database storage device More...

`#include <cppcms/session_storage.h>`

Inheritance diagram for cppcms::sessions::session_storage:

## Public Member Functions
virtual void | save (std::string const &sid, time_t timeout, std::string const &in)=0
virtual bool | load (std::string const &sid, time_t &timeout, std::string &out)=0
virtual void | remove (std::string const &sid)=0
virtual bool | is_blocking ()=0
virtual | ~session_storage ()

## Detailed Description

session_server_storage is an abstract class that allows user to implements custom session storage device like, database storage device

Note: if the member functions save/load/remove are thread safe – can be called from different threads, than you may create a single session and return shared_ptr to a single instance, otherwise you have to create multiple instances of object

## Constructor & Destructor Documentation

virtual cppcms::sessions::session_storage::~session_storage | ( |  | ) |
| inline virtual

Destroy an object

## Member Function Documentation

virtual bool cppcms::sessions::session_storage::is_blocking | ( |  | ) |
| pure virtual

Return true of the save or load operations can be blocking

virtual bool cppcms::sessions::session_storage::load | ( | std::string const & | sid,
|  | time_t & | timeout,
|  | std::string & | out
| ) |  |
| pure virtual

Load session with sid, put its end of life time to timeout and return its value to out

virtual void cppcms::sessions::session_storage::remove | ( | std::string const & | sid | ) |
| pure virtual

Remove a session with id sid from the storage

virtual void cppcms::sessions::session_storage::save | ( | std::string const & | sid,
|  | time_t | timeout,
|  | std::string const & | in
| ) |  |
| pure virtual

Save session with end of life time at timeout using session id sid and content in

The documentation for this class was generated from the following file:

- cppcms/session_storage.h